clang 10.0.0git

Classes | Functions
ParsedAttr.cpp File Reference
`#include "clang/Sema/ParsedAttr.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/Basic/AttrSubjectMatchRules.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "clang/Sema/SemaInternal.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <cassert>`
`#include <cstddef>`
`#include <utility>`
`#include "clang/Sema/AttrParsedAttrImpl.inc"`
Include dependency graph for ParsedAttr.cpp:

Go to the source code of this file.

## Classes
struct | ParsedAttrInfo

## Functions
static size_t | getFreeListIndexForSize (size_t size)
static const ParsedAttrInfo & | getInfo (const ParsedAttr &A)

## Function Documentation

## ◆ getFreeListIndexForSize()

static size_t getFreeListIndexForSize | ( | size_t | size | ) |
| static

Definition at line 57 of file ParsedAttr.cpp.

References memset().

## ◆ getInfo()

static const ParsedAttrInfo& getInfo | ( | const ParsedAttr & | A | ) |
| static

Definition at line 128 of file ParsedAttr.cpp.

References clang::ParsedAttr::getKind().

Referenced by clang::ParsedAttr::existsInTarget(), clang::ParsedAttr::getMatchRules(), clang::ParsedAttr::getMaxArgs(), clang::ParsedAttr::getMinArgs(), clang::ParsedAttr::getSemanticSpelling(), clang::ParsedAttr::hasCustomParsing(), clang::ParsedAttr::hasVariadicArg(), clang::ParsedAttr::isKnownToGCC(), clang::ParsedAttr::isStmtAttr(), clang::ParsedAttr::isSupportedByPragmaAttribute(), clang::ParsedAttr::isTargetSpecificAttr(), and clang::ParsedAttr::isTypeAttr().